### Function

# GtkFlowBoxSortFunc

#### Declaration

    int
    (* GtkFlowBoxSortFunc) (
      GtkFlowBoxChild* child1,
      GtkFlowBoxChild* child2,
      gpointer user_data
    )

#### Description [src]

A function to compare two children to determine which should come first.

#### Parameters

`child1`

  Type: `GtkFlowBoxChild`

  The first child.

  The data is owned by the caller of the function.

`child2`

  Type: `GtkFlowBoxChild`

  The second child.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `int`

< 0 if `child1` should be before `child2`, 0 if they are equal, and > 0 otherwise.